/*
 * Hack to build SCSITask commands
 *
 * Copyright (C) 2010 Charles Davis
 *
 * This file is dual-licensed under the LGPL and BSD 3-clause license.
 * It is part of the XNU Kernel Extras project, which aims to extend the
 * XNU kernel beyond what is provided by Apple.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
 *
 * ============================================================================
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in
 *     the documentation and/or other materials provided with the
 *     distribution.
 *  3. Neither the name of the author nor the names of any
 *     contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include "ExtSCSITaskBuilder.h"

/* ExtSCSITaskBuilder class implementation */
OSDefineMetaClassAndStructors( net_sf_driver_ExtSCSITaskBuilder, IOSCSIPrimaryCommandsDevice );

#define STUB( name ) \
void net_sf_driver_ExtSCSITaskBuilder::name( void ) \
{ \
    IOLog( "%s: " #name " should never be called!\n", getName() ); \
}

#define STUB_( ret, name ) \
ret net_sf_driver_ExtSCSITaskBuilder::name( void ) \
{ \
    IOLog( "%s: " #name " should never be called!\n", getName() ); \
    return 0; \
}

STUB_( UInt32, GetInitialPowerState )
STUB( HandlePowerChange )
STUB( HandleCheckPowerState )
STUB( TicklePowerManager )

STUB_( bool, InitializeDeviceSupport )
STUB( StartDeviceSupport )
STUB( SuspendDeviceSupport )
STUB( ResumeDeviceSupport )
STUB( StopDeviceSupport )
STUB( TerminateDeviceSupport )
STUB_( UInt32, GetNumberOfPowerStateTransitions )
STUB_( bool, ClearNotReadyStatus )
